/*

 Copyright (C) 1990-1995 Mark Adler, Richard B. Wales, Jean-loup Gailly,
 Kai Uwe Rommel and Igor Mandrichenko.
 Permission is granted to any individual or institution to use, copy, or
 redistribute this software so long as all of the original files are included,
 that it is not sold for profit, and that this copyright notice is retained.

*/

/*
 *  revision.h by Mark Adler.
 */

#define REVISION 20
#define PATCHLEVEL 1
#define VERSION "2.0o"
#define REVDATE "November 11th 1995"

/* Copyright notice for binary executables--this notice only applies to
 * those (zip, zipcloak, zipsplit, and zipnote), not to this file
 * (revision.h).
 */

#ifdef NOCPYRT                  /* copyright[] gets defined only once ! */
extern char *copyright[2];      /* keep array sizes in sync with number */
extern char *disclaimer[9];     /*  of text line in definition below !! */
#else /* !NOCPYRT */
char *copyright[] = {
#ifdef VMS
"Copyright (C) 1990-1995 Mark Adler, Richard B. Wales, Jean-loup Gailly",
"and Igor Mandrichenko. Type '%s \"-L\"' for software license.",
#endif
#ifdef AMIGA
"Copyright (C) 1990-1995 Mark Adler, Richard B. Wales, Jean-loup Gailly,",
"John Bush and Paul Kienitz. Type '%s -L' for the software License.",
#endif
#if defined(__arm) || defined(RISCOS)
"Copyright (C) 1990-1995 Mark Adler, Richard B. Wales, Jean-loup Gailly,",
"Karl Davis and Sergio Monesi. Type '%s \"-L\"' for software Licence.",
#endif
#if !defined(AMIGA) && !defined(VMS) && !defined(__arm) && !defined(RISCOS)
"Copyright (C) 1990-1995 Mark Adler, Richard B. Wales, Jean-loup Gailly",
"and Kai Uwe Rommel. Type '%s -L' for the software License.",
#endif
};
char *disclaimer[] = {
"",
"Permission is granted to any individual or institution to use, copy, or",
"redistribute this executable so long as it is not modified and that it is",
"not sold for profit.",
"",
"LIKE ANYTHING ELSE THAT'S FREE, ZIP AND ITS ASSOCIATED UTILITIES ARE",
"PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY KIND, EITHER EXPRESSED OR",
"IMPLIED. IN NO EVENT WILL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES",
"RESULTING FROM THE USE OF THIS SOFTWARE."
};
#endif /* !NOCPYRT */
